# Generated from resort-bjones-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name resort-bjones

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: Positionless model sorting for Rails 3
License: MIT
URL: http://github.com/bjones/resort
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) >= 1.5.2
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(bluecloth)
# BuildRequires: rubygem(generator_spec) >= 0.8.1
# BuildRequires: rubygem(generator_spec) < 0.9
BuildArch: noarch

%description
Positionless model sorting for Rails 3.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.rvmrc
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/Readme.md
%{gem_instdir}/resort-bjones.gemspec
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.3.0-1
- Initial package
